#version 430

in vec2 uv;
in float br;

layout(location = 0) out vec4 frag;
// layout(location = 1) out vec4 frag2;

uniform float g_time;


vec2 rotateXY2(vec2 p, float a) {
  vec2 r = p;
  r.x = cos(a)*p.x - sin(a)*p.y;
  r.y = sin(a)*p.x + cos(a)*p.y;
  return r;
}

float deg2pi = 2.0*3.141592/360.0;



layout(binding=0) uniform sampler2D tex;





void main() {
    vec2 uvS = uv;
    uvS.y = 1.0-uvS.y;

    vec4 r = texture2D(tex, uvS);
    r.rgb *= br;
    frag = r;
}

